<?php
class bbcode {
	function enabled() {
	global $db;

	$bbcode = $db->fetch_row("SELECT * FROM cmsss_preferences WHERE setting = 'enable_bbcode'");
	$bbcode = $bbcode['data'];

	return $bbcode;
	}

	function parse($text) {
	$text = str_replace("\n", "<br>", $text);

		if($this->enabled()) {
		$text = preg_replace("/\[CODE\](.+)\[\/CODE\]/siU", "<center><table style='border: #000000 1px solid' cellspacing='0' width='90%'><tr><td bgcolor='#FFFFFF'><font style='color: #000000'><b>Kd:</b><br><pre>\\1</pre></font></td></tr></table></center>", $text);
		$text = preg_replace("/\[QUOTE\](.+)\[\/QUOTE\]/siU", "<center><table width='90%' style='border: #000000 1px solid' cellspacing='0' width='90%'><tr><td bgcolor='#FFFFFF'><font style='color: #000000'><b>vozovky:</b><br>\\1</font></td></tr></table></center>", $text);

		$text = preg_replace("/\[B\](.+)\[\/B\]/siU", "<b>\\1</b>", $text);
		$text = preg_replace("/\[I\](.+)\[\/I\]/siU", "<i>\\1</i>", $text);
		$text = preg_replace("/\[U\](.+)\[\/U\]/siU", "<u>\\1</u>", $text);
		$text = preg_replace("/\[S\](.+)\[\/S\]/siU", "<s>\\1</s>", $text);

		$text = preg_replace("/\[URL=(.+)\](.+)\[\/URL\]/siU", "<a href='\\1' target='_blank'>\\2</a>", $text);
		$text = preg_replace("/\[URL\](.+)\[\/URL\]/siU", "<a href='\\1' target='_blank'>\\1</a>", $text);

		$text = preg_replace("/\[EMAIL\]([a-zA-Z0-9]+)\@([a-zA-Z0-9]+)\.([a-zA-Z]+)\[\/EMAIL\]/siU", "<a href='mailto:\\1@\\2.\\3'>\\1@\\2.\\3</a>", $text);
		$text = preg_replace("/\[IMG\](\r\n|\r|\n)*((http|https):\/\/([^;<>\*\(\)\"]+)|[a-z0-9\/\\\._\- ]+)\[\/IMG\]/siU", "<img src=\"\\2\" border=\"0\" alt=\"image\">", $text);

		$text = preg_replace("/\[COLOR=(.+)\](.+)\[\/COLOR\]/siU", "<font color='\\1'>\\2</font>", $text);
		$text = preg_replace("/\[SIZE=(.+)\]([0-9]+)\[\/SIZE\]/siU", "<font style='font-size: \\1'>\\2</font>", $text);
		$text = preg_replace("/\[FACE=(.+)\](.+)\[\/FACE\]/siU", "<font style='font-family: \\1'>\\2</font>", $text);
		}

	return $text;
	}

	function show_toolbar($form_name, $element_name) {
		if($this->enabled()) {
		$toolbar =  "
		<script language='javascript'>
		<!-- Tag Replacement Script - by theagent -->
	
		<!-- Begin
		function bold$element_name() {
		var str = document.selection.createRange().text;
		document.$form_name.$element_name.focus();
		var sel = document.selection.createRange();
		sel.text = \"[B]\" + str + \"[/B]\";
		}

		function italic$element_name() {
		var str = document.selection.createRange().text;
		document.$form_name.$element_name.focus();
		var sel = document.selection.createRange();
		sel.text = \"[I]\" + str + \"[/I]\";
		}

		function underline$element_name() {
		var str = document.selection.createRange().text;
		document.$form_name.$element_name.focus();
		var sel = document.selection.createRange();
		sel.text = \"[U]\" + str + \"[/U]\";
		}
	
		function strikethrough$element_name() {
		var str = document.selection.createRange().text;
		document.$form_name.$element_name.focus();
		var sel = document.selection.createRange();
		sel.text = \"[S]\" + str + \"[/S]\";
		}

		function font_face$element_name(face) {
		var str = document.selection.createRange().text;
		document.$form_name.$element_name.focus();
		var sel = document.selection.createRange();
		sel.text = \"[FACE=\" + face + \"]\" + str + \"[/FACE]\";
		}

		function font_size$element_name(size) {
		var str = document.selection.createRange().text;
		document.$form_name.$element_name.focus();
		var sel = document.selection.createRange();
		sel.text = \"[SIZE=\" + size + \"]\" + str + \"[/SIZE]\";
		}

		function font_color$element_name(color) {
		var str = document.selection.createRange().text;
		document.$form_name.$element_name.focus();
		var sel = document.selection.createRange();
		sel.text = \"[COLOR=\" + color + \"]\" + str + \"[/COLOR]\";
		}

		function link$element_name() {
		var str = document.selection.createRange().text;
		document.$form_name.$element_name.focus();
		var sel = document.selection.createRange();
		sel.text = \"[URL=\" + str + \"]\" + str + \"[/URL]\";
		}

		function img$element_name() {
		var str = document.selection.createRange().text;
		document.$form_name.$element_name.focus();
		var sel = document.selection.createRange();
		sel.text = \"[IMG]\" + str + \"[/IMG]\";
		}

		function email$element_name() {
		var str = document.selection.createRange().text;
		document.$form_name.$element_name.focus();
		var sel = document.selection.createRange();
		sel.text = \"[EMAIL]\" + str + \"[/EMAIL]\";
		}

		function quote$element_name() {
		var str = document.selection.createRange().text;
		document.$form_name.$element_name.focus();
		var sel = document.selection.createRange();
		sel.text = \"[QUOTE]\" + str + \"[/QUOTE]\";
		}

		function code$element_name() {
		var str = document.selection.createRange().text;
		document.$form_name.$element_name.focus();
		var sel = document.selection.createRange();
		sel.text = \"[CODE]\" + str + \"[/CODE]\";
		}
		//  End -->
		</script>

		<table width='100%' border='0' cellspacing='0' cellpadding='0'>
		<tr><td>
		<div style='margin-top: 5; margin-bottom: 5'>
		<input type='button' value='B' style='font-weight: bold' onclick='bold$element_name();'> 
		<input type='button' value='I' style='font-style: italic' onclick='italic$element_name();'> 
		<input type='button' value='U' style='text-decoration: underline' onclick='underline$element_name();'> 
		<input type='button' value='S' style='text-decoration: line-through' onclick='strikethrough$element_name();'> 

		<select name='face' onchange='font_face$element_name(value);'>
		<option value=''>Font</option>
		<option value='arial'>Arial</option>
		<option value='times'>Times</option>
		<option value='courier'>Courier</option>
		<option value='impact'>Impact</option>
		<option value='geneva'>Geneva</option>
		<option value='optima'>Optima</option>
		<option value='verdana'>Verdana</option>
		</select> 

		<select name='size' onchange='font_size$element_name(value);'>
		<option value=''>Velikost</option>
		<option value='8'>Nejmen</option>
		<option value='10'>Mal</option>
		<option value='14'>Velk</option>
		<option value='20'>Nejvt</option>
		</select> 

		<select name='color' onchange='font_color$element_name(value);'>
		<option value=''>Barva</option>
		<option value='#DD0000'>erven</option>
		<option value='#FF9900'>Oranov</option>
		<option value='#33CC00'>Zelen</option>
		<option value='#3300FF'>Modr</option>
		<option value='#660066'>Fialov</option>
		<option value='#FFFF00'>lut</option>
		<option value='#797979'>ed</option>
		<option value='#FF99CC'>Rov</option>
		</select> 
		</div>

		<div style='margin-top: 5; margin-bottom: 5'>
		<input type='button' value='http://' onclick='link$element_name();'> 
		<input type='button' value='IMG' onclick='img$element_name();'> 
		<input type='button' value='Email' onclick='email$element_name();'> 
		<input type='button' value='vozovky' onclick='quote$element_name();'> 
		<input type='button' value='Kd' onclick='code$element_name();'> 
		<a href='core/bbcode/bbcode_help.php?func=bbcode_help'onclick=\"NewWindow(this.href,'bbcode_help','525','460','yes','center');return false\">BBCode Npovda</a>
		</div>
		</td></tr>
		</table>";

		return $toolbar;
		}
	}

	function show_mini_toolbar($form_name, $element_name) {
		if($this->enabled()) {
		$toolbar = "
		<script language='javascript'>
		<!-- Tag Replacement Script - by theagent -->
	
		<!-- Begin
		function bold$element_name() {
		var str = document.selection.createRange().text;
		document.$form_name.$element_name.focus();
		var sel = document.selection.createRange();
		sel.text = \"[B]\" + str + \"[/B]\";
		}

		function italic$element_name() {
		var str = document.selection.createRange().text;
		document.$form_name.$element_name.focus();
		var sel = document.selection.createRange();
		sel.text = \"[I]\" + str + \"[/I]\";
		}

		function underline$element_name() {
		var str = document.selection.createRange().text;
		document.$form_name.$element_name.focus();
		var sel = document.selection.createRange();
		sel.text = \"[U]\" + str + \"[/U]\";
		}

		function strikethrough$element_name() {
		var str = document.selection.createRange().text;
		document.$form_name.$element_name.focus();
		var sel = document.selection.createRange();
		sel.text = \"[S]\" + str + \"[/S]\";
		}

		function font_face$element_name(face) {
		var str = document.selection.createRange().text;
		document.$form_name.$element_name.focus();
		var sel = document.selection.createRange();
		sel.text = \"[FACE=\" + face + \"]\" + str + \"[/FACE]\";
		}

		function font_size$element_name(size) {
		var str = document.selection.createRange().text;
		document.$form_name.$element_name.focus();
		var sel = document.selection.createRange();
		sel.text = \"[SIZE=\" + size + \"]\" + str + \"[/SIZE]\";
		}

		function font_color$element_name(color) {
		var str = document.selection.createRange().text;
		document.$form_name.$element_name.focus();
		var sel = document.selection.createRange();
		sel.text = \"[COLOR=\" + color + \"]\" + str + \"[/COLOR]\";
		}

		function link$element_name() {
		var str = document.selection.createRange().text;
		document.$form_name.$element_name.focus();
		var sel = document.selection.createRange();
		sel.text = \"[URL=\" + str + \"]\" + str + \"[/URL]\";
		}

		function img$element_name() {
		var str = document.selection.createRange().text;
		document.$form_name.$element_name.focus();
		var sel = document.selection.createRange();
		sel.text = \"[IMG]\" + str + \"[/IMG]\";
		}

		function email$element_name() {
		var str = document.selection.createRange().text;
		document.$form_name.$element_name.focus();
		var sel = document.selection.createRange();
		sel.text = \"[EMAIL]\" + str + \"[/EMAIL]\";
		}

		function quote$element_name() {
		var str = document.selection.createRange().text;
		document.$form_name.$element_name.focus();
		var sel = document.selection.createRange();
		sel.text = \"[QUOTE]\" + str + \"[/QUOTE]\";
		}

		function code$element_name() {
		var str = document.selection.createRange().text;
		document.$form_name.$element_name.focus();
		var sel = document.selection.createRange();
		sel.text = \"[CODE]\" + str + \"[/CODE]\";
		}
		//  End -->
		</script>

		<table width='90%' border='0' cellspacing='0' cellpadding='0'>
		<tr><td>
		<div style='margin-top: 5; margin-bottom: 5'>
		<input type='button' value='http://' onclick='link$element_name();'> 
		<input type='button' value='vozovky' onclick='quote$element_name();'> 
		</div>

		<div style='margin-top: 5; margin-bottom: 5'>
		<input type='button' value='B' style='font-weight: bold' onclick='bold$element_name();'> 
		<input type='button' value='I' style='font-style: italic' onclick='italic$element_name();'> 
		<input type='button' value='U' style='text-decoration: underline' onclick='underline$element_name();'> 
		<input type='button' value='S' style='text-decoration: line-through' onclick='strikethrough$element_name();'> 
		<input type='button' value='IMG' onclick='img$element_name();'> 
		</div>
		</td></tr>
		</table>";

		return $toolbar;
		}
	}
}

$bbcode = new bbcode();
?>