<?php
// Internetový obchod pomocí PHP & MySQL (3. vydání) verze skriptu 6.03.20
// stránky projektu: www.iPraxe.com
// (c) 2001, 2002, 2003, 2004, 2005, 2006 
// Autor: Tomáš Mihule e-mail: mihule@ipraxe.com

// načteme konfigurační a datové soubory
require('./ipraxe3/konfigurace.php');
require('./ipraxe3/fn_ipraxe3.php');

// načteme výstupní funkce šablony (pokud nejsou, načteme základní)
if(is_file('./sablony/'.SABLONA.'/fn_vystupy.php')):
   require('./sablony/'.SABLONA.'/fn_vystupy.php');
else:
   require('./ipraxe3/fn_vystupy.php');
endif; 

// vlastní nastavení šablony
if(is_file('sablony/'.SABLONA.'/konfigurace.php')):
   require 'sablony/'.SABLONA.'/konfigurace.php';
else:
   echo 'Neni zavedena regulerni sablona ('.SABLONA.')';
   //exit;
endif;

// připojíme se k databázi
require('./ipraxe3/db_pripojeni.php');

// smažeme staré soubory v cache adresáři (lépe použít cron službu - pokud je na hostingu dostupná)
uklid_cache();

// zapíšeme do logu 
do_logu('Vstup nového zákazníka');

// ošetříme předané vstupní proměnné
require('./ipraxe3/osetreni_promennych.php');

// do proměnné přihlášený načteme jméno
admin();

// vybereme příslušnou šablonu pro prováděnou akci (existuje-li)
if(is_file('./sablony/'.SABLONA.'/sab_'.$_SESSION['a'].'.php')):
   $sab_stranka = './sablony/'.SABLONA.'/sab_'.$_SESSION['a'].'.php';
else:
   $sab_stranka = './sablony/tabix/sab_'.$_SESSION['a'].'.php';
endif; 

// z cache nebo generovat?
kesovani_generovani($pozadovana_stranka, $sab_stranka); 

// patička html kódu
require('./ipraxe3/licence.php');

// panel proměnných vypnutí/zapnutí nastavte v konfiguraci (nevalidní - jen pro odladění programu)
if(LADENI == 'ano') require './ipraxe3/ladime_promenne.php'; 
?>
