<?php
// Internetový obchod pomocí PHP & MySQL (3. vydání) verze skriptu 6.02.01
// stránky projektu www.iPraxe.com
// (c) 2001,2002,2003,2004,2005,2006 
// Autor: Tomáš Mihule e-mail: mihule@ipraxe.com

/********** na stránce 'detail' doporučení ostatních výrobků **********/
function	BLOK_DOPORUCUJEME_K_VYROBKU($limit = 5, $podrobne = 0) {
$nazev = 'DOPORUCUJEME_K_VYROBKU';
$nadpis = 'Doporučujeme k výrobku';
$verze = '6.03.05';
$typ = 'blok';
$vystup = '';
$_SESSION['d'] = @$_SESSION['d'] ? $_SESSION['d'] : -1;
$dotaz = ipraxe_mysql_query('select * from '.DBPREFIX.'vyrobky, '.DBPREFIX.'doporucujeme, '.DBPREFIX.'kategorie, '.DBPREFIX.'vkategorii
                             where vyr_id = dop_vyr_id
                             and dop_k_vyr_id = '.$_SESSION['d'].'
                             and vyr_aktivni = 1                   
                             group by vyr_id 
                             order by vyr_pridan
                             limit '.$limit);
$stav = FALSE;
$pocitadlo = 0;
$prvni = 0;
while($radek = mysql_fetch_array($dotaz)):
   $stav = TRUE;
   $pocitadlo++;
   if($pocitadlo <= $podrobne):
      if(is_file('galerie/'.$radek['vyr_nahled'])) {
         $vystup .= '<a href="'.odkaz($radek['vyr_nazev'],$radek['vyr_id'],'vyrobek').'">
         <img class="vyrnahled" src="galerie/'.$radek['vyr_nahled'].'" alt="'.$radek['vyr_nazev'].'" /></a>';
         }
      $vystup .= '
      <p class="vyrnazev"><a href="'.odkaz($radek['vyr_nazev'],$radek['vyr_id'],'vyrobek').'">'.$radek['vyr_nazev'].'</a></p>';
      $vystup .= '<p class="vyranonce">'.$radek['vyr_anonce'].'</p>';
   else: 
      if($prvni == 0) $vystup .= '<ul>';
      $prvni++;
      $vystup .= "\n".'<li><a href="'.odkaz($radek['vyr_nazev'],$radek['vyr_id'],'vyrobek').'">'.$radek['vyr_nazev'].'</a></li>';
   endif;
endwhile;
if($prvni != 0)$vystup .= "\n".'</ul>';
return $stav ? CSS_FORMAT($vystup, $nazev, $nadpis, $verze, $typ) : FALSE;
}
/********** na stránce 'kategorie' doporučení ostatních výrobků **********/
function	BLOK_DOPORUCUJEME_V_KATEGORII($limit = 5, $podrobne = 0) {
$nazev = 'DOPORUCUJEME_V_KATEGORII';
$nadpis = 'Vybíráme z kategorie';
$verze = '6.03.05';
$typ = 'blok';
$vystup = '';
$dotaz = ipraxe_mysql_query('select * from '.DBPREFIX.'vyrobky, '.DBPREFIX.'doporucujeme, '.DBPREFIX.'kategorie, '.DBPREFIX.'vkategorii
                             where vyr_id = dop_vyr_id and dop_kat_id = '.$_SESSION['k'].' and vyr_aktivni = 1 group by vyr_id order by vyr_pridan limit '.$limit);
$stav = FALSE;
$pocitadlo = 0;
$prvni = 0;
while($radek = mysql_fetch_array($dotaz)):
   $stav = TRUE;
   $pocitadlo++;
   if($pocitadlo <= $podrobne):
      if(is_file('galerie/'.$radek['vyr_nahled'])) {
         $vystup .= '<a href="'.odkaz($radek['vyr_nazev'],$radek['vyr_id'],'vyrobek').'">
         <img class="vyrnahled" src="galerie/'.$radek['vyr_nahled'].'" alt="'.$radek['vyr_nazev'].'" /></a>';
         }
      $vystup .= '
      <p class="vyrnazev"><a href="'.odkaz($radek['vyr_nazev'],$radek['vyr_id'],'vyrobek').'">'.$radek['vyr_nazev'].'</a></p>';
      $vystup .= '<p class="vyranonce">'.$radek['vyr_anonce'].'</p>';
   else:
      if($prvni == 0) $vystup .= '<ul>';
      $prvni++;
      $vystup .= "\n".'<li><a href="'.odkaz($radek['vyr_nazev'],$radek['vyr_id'],'vyrobek').'">'.$radek['vyr_nazev'].'</a></li>';
   endif;
endwhile;
if($prvni != 0)$vystup .= "\n".'</ul>';
return $stav ? CSS_FORMAT($vystup, $nazev, $nadpis, $verze, $typ) : FALSE;
}

/********** blok hledací pole **********/
function BLOK_HLEDEJ() {
$nazev = 'HLEDEJ';
$nadpis = 'Hledej';
$verze = '6.03.05';
$typ = 'blok';
$vystup = '<form method="post" action="'.SERVER.'ipraxe3/h_hledej.php">
<p><input class="input_hledej" value="Hledej..." name="najdi" onblur="if (this.value == \'\') {this.value = \'Hledej...\';}"
onfocus="if (this.value == \'Hledej...\') {this.value = \'\';}" /></p>
<p><input class="btn" value="'.SUB_NAJDI.'" id="btn_najdi" type="submit" /></p>
<p><a href="index.php?a=hledani">rozšířené vyhledávání</a></p>
</form>';
return CSS_FORMAT($vystup, $nazev, $nadpis, $verze, $typ);
}

/********** blok pro aktuální zprávy a hlášení **********/
function BLOK_INFO($info) {
$nazev = 'INFO_'.$info;
$nadpis = '';
$verze = '6.03.05';
$typ = 'blok';
$vystup = '';
$dotaz = ipraxe_mysql_query('select * from '.DBPREFIX.'zpravy
                             where zpr_typ = "INFO_'.intval($info).'" 
                             and zpr_dat_od >= '.DNES.'
                             order by zpr_dat_od desc
                             limit 1');
$stav = FALSE;                               
while($radek = mysql_fetch_array($dotaz)):
   $stav = TRUE;
   $nadpis = $radek['zpr_titulek'];
   $vystup .= $radek['zpr_html'];
   $vystup .= text_admin($radek['zpr_id']);
   // blok začínající * je dočasně skrytý (ne však pro admina)
   if(substr($radek['zpr_titulek'], 0, 1) == '*' and $_SESSION['prihlaseny'] != 'admin') $stav = FALSE;
endwhile;

return $stav ? CSS_FORMAT($vystup, $nazev, $nadpis, $verze, $typ) : FALSE;
}

/********** celý strom kategorií **********/
function	BLOK_KATEGORIE_ROZBALOVACI() {
$nazev = 'KATEGORIE_ROZBALOVACI';
$nadpis = '';
$verze = '6.03.05';
$typ = 'blok';
$vystup = '<ul id="hlavni_menu">';
$dotaz_out = ipraxe_mysql_query('select * from '.DBPREFIX.'kategorie 
                                 where kat_rodic = 0 
                                 order by kat_razeni desc');
$pocet_radku_out = mysql_num_rows($dotaz_out);    
while($radek_out = mysql_fetch_array($dotaz_out)):
   $oznac_out = "";
   if($_SESSION['k'] == $radek_out['kat_id']):
      $oznac_out = ' id="fokus"';
   endif;
   $vystup .= "\n".'<li class="main"><a '.$oznac_out.' href="index.php?a=kategorie&amp;p='.$radek_out['kat_id'].'&amp;k='.$radek_out['kat_id'].'">'.$radek_out['kat_nazev'].'</a>'; 
   $dotaz_in = ipraxe_mysql_query('select * 
                                   from '.DBPREFIX.'kategorie 
                                   where  kat_rodic = "'.$radek_out['kat_id'].'"
                                   and kat_rodic =  "'.@$_GET['p'].'"
                                   order by kat_razeni desc');
   $pocet_radku_in = mysql_num_rows($dotaz_in);    
   $vystup_in = "\n".'<ul class="sub">';
   $stav = FALSE;
   $posledni_in = '';
   $citac_in = 0;
   while($radek_in = mysql_fetch_array($dotaz_in)):
      $citac_in++;
      if($pocet_radku_in == $citac_in) $posledni_in = ' class="li_posledni"';
      $stav = TRUE;
      $oznac_in = "";
      if($_SESSION['k'] == $radek_in['kat_id']):
         $oznac_in = ' id="fokus"';
      endif;
      $vystup_in .= "\n".'<li'.$posledni_in.'><a '.$oznac_in.' href="index.php?a=kategorie&amp;p='.$radek_in['kat_rodic'].'&amp;k='.$radek_in['kat_id'].'">'.$radek_in['kat_nazev'].'</a></li>';
   endwhile;
   $vystup .= $stav ? $vystup_in."\n".'</ul>'."\n".'</li>' : '</li>';
endwhile;
$vystup .= "\n".'</ul>';
return CSS_FORMAT($vystup, $nazev, $nadpis, $verze, $typ);
}

/********** seznam hlavních kateroriií (oddělení) **********/
function BLOK_KATEGORIE_TOP() {
$nazev = 'KATEGORIE_TOP';
$nadpis = '';
$verze = '6.03.05';
$typ = 'blok';
$vystup = '<ul>';
$dotaz = ipraxe_mysql_query('select * from '.DBPREFIX.'kategorie 
                             where kat_rodic = 0  
                             order by kat_razeni desc');
$stav = FALSE;
while($radek = mysql_fetch_array($dotaz)):
   $stav = TRUE;
   $vystup .= "\n".'<li><a href="index.php?a=kategorie&amp;p=0&amp;k='.$radek['kat_id'].'">'.$radek['kat_nazev'].'</a></li>';
endwhile;
$vystup .= "\n".'</ul>';
return CSS_FORMAT($vystup, $nazev, $nadpis, $verze, $typ);
}

/********** seznam všech kateroriií (oddělení) **********/
function	BLOK_KATEGORIE_VSE() {
$nazev = 'KATEGORIE_VSE';
$nadpis = '';
$verze = '6.03.05';
$typ = 'blok';
$vystup = '<ul id="hlavni_menu">';
$dotaz_out = ipraxe_mysql_query('select * from '.DBPREFIX.'kategorie 
                                 where kat_rodic = 0  
                                 order by kat_razeni desc');
$pocet_radku_out = mysql_num_rows($dotaz_out);                                 
while($radek_out = mysql_fetch_array($dotaz_out)):
   $oznac_out = "";
   if($_SESSION['k'] == $radek_out['kat_id']):
      $oznac_out = ' id="fokus"';
   endif;
   $vystup .= "\n".'<li class="main"><a '.$oznac_out.' href="index.php?a=kategorie&amp;p=0&amp;k='.$radek_out['kat_id'].'">'.$radek_out['kat_nazev'].'</a>';
   $dotaz_in = ipraxe_mysql_query('select * from '.DBPREFIX.'kategorie 
                                   where kat_rodic = '.$radek_out['kat_id'].' 
                                   order by kat_razeni desc');
   $pocet_radku_in = mysql_num_rows($dotaz_in); 
   $vystup_in = "\n".'<ul class="sub">';
   $stav = false;
   $posledni_in = '';
   $citac_in = 0;
   while($radek_in = mysql_fetch_array($dotaz_in)):
      $citac_in++;
      if($pocet_radku_in == $citac_in) $posledni_in = ' class="li_posledni"';
      $stav = true;
      $oznac_in = "";
      if($_SESSION['k'] == $radek_in['kat_id']):
         $oznac_in = ' id="fokus"';
      endif;
      $vystup_in .= "\n".'<li'.$posledni_in.'><a '.$oznac_in.' href="index.php?a=kategorie&amp;p=1&amp;k='.$radek_in['kat_id'].'">'.$radek_in['kat_nazev'].'</a></li>';
   endwhile;
   $vystup .= $stav ? $vystup_in."\n".'</ul>'."\n".'</li>' : "\n".'</li>';
endwhile;
$vystup .= "</ul>";
return CSS_FORMAT($vystup, $nazev, $nadpis, $verze, $typ);
}

/********** blok přihlášení **********/
function	BLOK_PRIHLASENI() {
$nazev = 'PRIHLASENI';
$nadpis = 'Přihlášení';
$verze = '6.03.05';
$typ = 'blok';
$vystup = '<form method="post" action="./ipraxe3/h_zakaznik.php">
<table>
<tr>
<td><p>login:</p></td><td><p><input type="text" name="login" /></p></td>
</tr>
<tr>
<td><p>heslo:</p></td><td><p><input type="password" name="heslo" /></p></td>
</tr>
</table>
<p class="tlacitko"><input type="submit" name="prihlaska" class="btn" value="'.SUB_OK.'" /></p>
</form>';
return $_SESSION['prihlaseny'] == '' ? CSS_FORMAT($vystup, $nazev, $nadpis, $verze, $typ) : FALSE;
}

/********** nejprodávanější výrobky kategorie **********/
function	BLOK_TOP($limit = 5, $podrobne = 0) {
$nazev = 'TOP';
$nadpis = 'Nejžádanější';
$verze = '6.03.05';
$typ = 'blok';
$vystup = '';
$dotaz = ipraxe_mysql_query('select vyr_id, count(vyr_id) as kolik, vyr_nahled, vyr_anonce, vyr_nazev from '.DBPREFIX.'vyrobky, '.DBPREFIX.'doporucujeme, '.DBPREFIX.'kategorie, '.DBPREFIX.'vkategorii, '.DBPREFIX.'polozkyobj
                             where vyr_id = pol_vyr_id
                             and vyr_id = vka_vyr_id
                             and kat_id = vka_kat_id
                             and vyr_aktivni = 1 
                             and DATE_SUB(CURDATE(),INTERVAL 14 DAY) <= pol_datum                 
                             group by vyr_id  
                             order by kolik desc
                             limit '.$limit);
$stav = FALSE;
$pocitadlo = 0;
$prvni = 0;
   while($radek = mysql_fetch_array($dotaz)):
      $stav = TRUE;
      $pocitadlo++;
    if($pocitadlo <= $podrobne):
      if(is_file('galerie/'.$radek['vyr_nahled'])) {
         $vystup .= '<a href="'.odkaz($radek['vyr_nazev'],$radek['vyr_id'],'vyrobek').'">
         <img class="vyrnahled" src="galerie/'.$radek['vyr_nahled'].'" alt="'.$radek['vyr_nazev'].'" /></a>';
         }
      $vystup .= '
      <p class="vyrnazev"><a href="'.odkaz($radek['vyr_nazev'],$radek['vyr_id'],'vyrobek').'">'.$radek['vyr_nazev'].'</a></p>';
      $vystup .= '<p class="vyranonce">'.$radek['vyr_anonce'].'</p>';
   else:
      if($prvni == 0) $vystup .= '<ul>';
      $prvni++;
      $vystup .= "\n".'<li><a href="'.odkaz($radek['vyr_nazev'],$radek['vyr_id'],'vyrobek').'">'.$radek['vyr_nazev'].'</a></li>';
   endif;  
   endwhile;
   if($prvni != 0)$vystup .= "\n".'</ul>';
 
return $stav ? CSS_FORMAT($vystup, $nazev, $nadpis, $verze, $typ) : FALSE;
}

/********** top kategorie **********/
function	BLOK_TOP_KATEGORIE($limit = 5, $podrobne = 0) {
$nazev = 'TOP_KATEGORIE';
$nadpis = 'Top oddělení';
$verze = '6.03.05';
$typ = 'blok';
$vystup = '';
$dotaz = ipraxe_mysql_query('select vyr_id, count(vyr_id) as kolik, vyr_nahled, vyr_anonce, vyr_nazev from '.DBPREFIX.'vyrobky, '.DBPREFIX.'doporucujeme, '.DBPREFIX.'kategorie, '.DBPREFIX.'vkategorii, '.DBPREFIX.'polozkyobj
                             where vyr_id = pol_vyr_id
                             and kat_id = '.$_SESSION['k'].'
                             and vyr_id = vka_vyr_id
                             and kat_id = vka_kat_id
                             and vyr_aktivni = 1  
                             and DATE_SUB(CURDATE(),INTERVAL 14 DAY) <= pol_datum                           
                             group by vyr_id  
                             order by kolik desc
                             limit '.$limit);
$stav = FALSE;
$pocitadlo = 0;
$prvni = 0;
   while($radek = mysql_fetch_array($dotaz)):
      $stav = TRUE;
      $pocitadlo++;
      if($pocitadlo <= $podrobne):
        if(is_file('galerie/'.$radek['vyr_nahled'])) {
           $vystup .= '<a href="'.odkaz($radek['vyr_nazev'],$radek['vyr_id'],'vyrobek').'">
           <img class="vyrnahled" src="galerie/'.$radek['vyr_nahled'].'" alt="'.$radek['vyr_nazev'].'" /></a>';
           }
        $vystup .= '
        <p class="vyrnazev"><a href="'.odkaz($radek['vyr_nazev'],$radek['vyr_id'],'vyrobek').'">'.$radek['vyr_nazev'].'</a></p>';
        $vystup .= '<p class="vyranonce">'.$radek['vyr_anonce'].'</p>';
     else:
        if($prvni == 0) $vystup .= '<ul>';
        $prvni++;
        $vystup .= "\n".'<li><a href="'.odkaz($radek['vyr_nazev'],$radek['vyr_id'],'vyrobek').'">'.$radek['vyr_nazev'].'</a></li>';
     endif;  
   endwhile;
   if($prvni != 0)$vystup .= "\n".'</ul>';
   
return $stav ? CSS_FORMAT($vystup, $nazev, $nadpis, $verze, $typ) : FALSE;
}

/********** seznam výrobců (v kategorii) **********/
function	BLOK_VYROBCI_AKTUALNI($limit = 20) {
$nazev = 'VYROBCI_AKTUALNI';
$nadpis = 'Výrobci, autoři';
$verze = '6.03.05';
$typ = 'blok';
$vystup = '<ul>';
$dotaz = ipraxe_mysql_query('select vyr_id, count(vyr_id) as kolik, vyr_vyrobce from '.DBPREFIX.'vyrobky, '.DBPREFIX.'kategorie, '.DBPREFIX.'vkategorii
                             where kat_id = '.$_SESSION['k'].'
                             and vyr_id = vka_vyr_id
                             and kat_id = vka_kat_id
                             and vyr_aktivni = 1  
                             and vyr_vyrobce <> ""
                             and vyr_vyrobce IS NOT NULL                               
                             group by vyr_vyrobce  
                             order by kolik desc
                             limit '.$limit);
$stav = FALSE;
   while($radek = mysql_fetch_array($dotaz)):
      $stav = TRUE;
      $vystup .= "\n".'<li><a href="./ipraxe3/h_hledej.php?q='.$radek['vyr_vyrobce'].'">'.$radek['vyr_vyrobce'].'</a></li>';
   endwhile;
   $vystup .= "\n".'</ul>';
return $stav ? CSS_FORMAT($vystup, $nazev, $nadpis, $verze, $typ) : FALSE;
}

/********** zprávy **********/
function BLOK_ZPRAVY($limit = 5, $datum = 'ano') {
$nazev = 'ZPRAVY';
$nadpis = 'Krátké zprávy';
$verze = '6.03.05';
$typ = 'blok';
$vystup = '';
$dotaz = ipraxe_mysql_query('select * from '.DBPREFIX.'zpravy
                                where zpr_dat_od <= "'.DNES.'" 
                                and zpr_typ = "A"
                                limit '.$limit);
$stav = FALSE;
while($radek = mysql_fetch_array($dotaz)):
   $stav = TRUE;
   if($datum == 'ano') { $vystup .= "\n".'<p class="zpravy_datum">'.czechdate($radek['zpr_dat_od']).'</p>'; } 
   $vystup .= "\n".'<h4>'.$radek['zpr_titulek'].'</h4>';
   $vystup .= "\n".'<p>'.$radek['zpr_text'].'</p>';
   $vystup .= text_admin($radek['zpr_id']);
endwhile;
return $stav ? CSS_FORMAT($vystup, $nazev, $nadpis, $verze, $typ) : FALSE;
}

/********** navigační lišta **********/
function	TEXT_NAVIGACNI_LISTA() {
$nazev = 'NAVIGACNI_LISTA';
$nadpis = '';
$verze = '6.03.05';
$typ = 'text';
$vystup = '';
$a_home = '<a href="index.php?a=home">home</a>';
$a_katalog = '<a href="index.php?a=kategorie&amp;k=0">katalog</a>';
$dotaz = ipraxe_mysql_query('select * from '.DBPREFIX.'kategorie 
                             where kat_id = '.$_SESSION['k']);
while($radek = mysql_fetch_array($dotaz)):
   $a_kategorie = '';
   $t_kategorie = '';
   if($radek['kat_rodic'] != 0):
      $dotaz_in = ipraxe_mysql_query('select * from '.DBPREFIX.'kategorie 
                                      where kat_id = '.$radek['kat_rodic']);
      while($radek_in = mysql_fetch_array($dotaz_in)):
         $a_kategorie .=  '<a href="index.php?a=kategorie&amp;k='.$radek_in['kat_id'].'">'.$radek_in['kat_nazev'].'</a>'.ODDELOVAC_NAVIG_LISTY; 
         $t_kategorie .= $a_kategorie;
      endwhile;
   endif;
   $a_kategorie .=  '<a href="index.php?a=kategorie&amp;k='.$radek['kat_id'].'">'.$radek['kat_nazev'].'</a>';
   $t_kategorie .= $radek['kat_nazev'];
endwhile;
switch($_SESSION['a']):
   case('home'):
      $vystup = "home";
   break;
   case('kategorie'):
      if($_SESSION['k'] == 0):
         $vystup = $a_home.ODDELOVAC_NAVIG_LISTY.'katalog';
      else:
         $vystup = $a_home.ODDELOVAC_NAVIG_LISTY.$a_katalog.ODDELOVAC_NAVIG_LISTY.@$t_kategorie;
      endif;
   break;
   case('kosik'):
      $vystup = $a_home.ODDELOVAC_NAVIG_LISTY.'košík';
   break;
   case('detail'):
      $v_kategorii = 0;
      $dotaz = ipraxe_mysql_query('select * from '.DBPREFIX.'vyrobky, '.DBPREFIX.'kategorie, '.DBPREFIX.'vkategorii
                                   where 
                                   vyr_id = vka_vyr_id 
                                   and kat_id = vka_kat_id
                                   and vka_hlavni = 1
                                   and vyr_id = '.$_SESSION['d']);
      while($radek = mysql_fetch_array($dotaz)):
         $a_detail =  $radek['vyr_nazev']; 
         $v_kategorii = $radek['kat_id'];
      endwhile;
      $a_kategorie = '';
      $dotaz = ipraxe_mysql_query('select * from '.DBPREFIX.'kategorie 
                                   where kat_id = '.$v_kategorii);
      while($radek = mysql_fetch_array($dotaz)):
         $a_kategorie = '';
         if($radek['kat_rodic'] != 0):
            $dotaz_in = ipraxe_mysql_query('select * from '.DBPREFIX.'kategorie 
                                            where kat_id = '.$radek['kat_rodic']);
            while($radek_in = mysql_fetch_array($dotaz_in)):
               $a_kategorie .=  '<a href="index.php?a=kategorie&amp;k='.$radek_in['kat_id'].'">'.$radek_in['kat_nazev'].'</a>'.ODDELOVAC_NAVIG_LISTY; 
            endwhile;
         endif;
         $a_kategorie .=  '<a href="index.php?a=kategorie&amp;k='.$radek['kat_id'].'">'.$radek['kat_nazev'].'</a>'; 
      endwhile;
      $vystup = @$a_detail ? $a_home.ODDELOVAC_NAVIG_LISTY.$a_katalog.ODDELOVAC_NAVIG_LISTY.$a_kategorie.ODDELOVAC_NAVIG_LISTY.$a_detail : $a_home;
   break;
   case('objednavka'):
      $vystup = $a_home.ODDELOVAC_NAVIG_LISTY.'objednávky';
   break;
   case('pokladna'):
      $vystup = $a_home.ODDELOVAC_NAVIG_LISTY.'pokladna';
   break;
   
   case('stranka'):
      $dotaz = ipraxe_mysql_query('select * from '.DBPREFIX.'zpravy
                                   where zpr_id = '.intval($_SESSION['s']));
      while($radek = mysql_fetch_array($dotaz)):
      $vystup = $a_home.ODDELOVAC_NAVIG_LISTY.$radek['zpr_titulek'];
      endwhile;                                          
   break;
   
   case('profil'):
      $vystup = $a_home.ODDELOVAC_NAVIG_LISTY.'<a href="index.php?a=profil">profil</a>';
   break;
   
   case('zpravy'):
      $vystup = $a_home.ODDELOVAC_NAVIG_LISTY.'zprávy';
   break;
   
   case('hledani'):
      $vystup = $a_home.ODDELOVAC_NAVIG_LISTY.'hledání';
   break;
   
   default:
      $vystup = '';
   break;
endswitch;
return CSS_FORMAT($vystup, $nazev, $nadpis, $verze, $typ);
}

/********** kdo je přihlášený **********/
function	TEXT_PRIHLASENY() {
$nazev = 'PRIHLASENY';
$nadpis = '';
$verze = '6.03.05';
$typ = 'text';
$vystup = $_SESSION['prihlaseny'] == '' ? '<a class="prihlaseny" href="index.php?a=profil">nepřihlášený</a>' : '<a class="prihlaseny" href="index.php?a=profil">'.$_SESSION['prihlaseny'].'</a> (<a class="prihlaseny" href="ipraxe3/h_zakaznik.php?prihlaska=odhlasit">odhlásit</a>)' ;
return CSS_FORMAT($vystup, $nazev, $nadpis, $verze, $typ);
}

/********** co je v košíku (přehled) **********/
function	TEXT_V_KOSIKU() {
$nazev = 'V_KOSIKU';
$nadpis = '';
$verze = '6.03.05';
$typ = 'text';
$vystup = v_kosiku();
return CSS_FORMAT($vystup, $nazev, $nadpis, $verze, $typ);
}

/********** meta description **********/
function	TEXT_META_DESCRIPTION() {
return META_DESCRIPTION;
}

/********** meta keywords **********/
function	TEXT_META_KEYWORDS() {
return META_KEYWORDS;
}

/********** cesta k do složky šablony **********/
function	TEXT_SABLONA() {
return './sablony/'.SABLONA;
}

/********** cesta k css stylu **********/
function	TEXT_SABLONA_STYL() {
return './sablony/'.SABLONA.'/'.VARIANTA.'.css';
}

/********** vrací nadpis stránky **********/
function NADPIS_STRANKY() {
return NADPIS_STRANKY;
}

/********** vrací titulek stránky **********/
function TEXT_TITULEK_STRANKY() {
return NAZEV_OBCHODU.' :: '.TEXT_TITULEK_STRANKY.' :: ';
}

/********** vypíše hlavní kategorie (hlavní strana katalogu) **********/
function	TELO_KATALOG($kolik_sloupcu = 3) {
$nazev = 'TELO_KATALOG';
$nadpis = '';
$verze = '6.03.05';
$typ = 'telo';
$dotaz = ipraxe_mysql_query('SELECT * FROM '.DBPREFIX.'kategorie WHERE kat_rodic = 0 order by kat_razeni desc');
$kolik_kategorii = mysql_num_rows($dotaz);
$vystup = $kolik_sloupcu ? '<table id="tb_'.$_SESSION['a'].'"><tr>' : '';
$stav = FALSE; 
$pocitadlo = 0; 
$sloupec = 0;                        
while($radek = mysql_fetch_array($dotaz)):
   $pocitadlo++;
   $sloupec++;
   $stav = TRUE;
   $vystup .= $kolik_sloupcu ? '<td class="td_katalog_sloupec_'.$sloupec.'" valign="top">' : '<div class="katalog"><div class="cast_katalogu">';

   if(is_file('galerie/'.$radek['kat_obrazek'])):
      $vystup .= '<p>
      <a href="index.php?k='.$radek['kat_id'].'&amp;a=kategorie" class="a_img">
                <img class="katobrazek" src="galerie/'.$radek['kat_obrazek'].'" alt="'.$radek['kat_nazev'].'" /></a></p>
                <p><a href="index.php?k='.$radek['kat_id'].'&amp;a=kategorie" class="a_nazev">'.$radek['kat_nazev'].'</a><br />'.$radek['kat_popis'].'</p>';
   else: 
      $vystup .= '<p><a href="index.php?k='.$radek['kat_id'].'&amp;a=kategorie">'.$radek['kat_nazev'].'
                </a></p>';
   endif;  
$vystup .= $kolik_sloupcu ? '</td>' : '</div></div>';
$pom = FALSE;
if($kolik_sloupcu != 0 and $pocitadlo/$kolik_sloupcu == intval($pocitadlo/$kolik_sloupcu)):
   $sloupec = 0;
   $vystup .= '</tr><tr>';
   $pom = TRUE;
endif;
endwhile;

// doplníme prázdné buňky tabulky
if($pom == FALSE):
   for($i=0; $i < $kolik_sloupcu - fmod($pocitadlo, $kolik_sloupcu) ; $i++):
      $sloupec++;
      $vystup .= '<td class="td_katalog_sloupec_'.$sloupec.'" valign="top">&nbsp;</td>';
   endfor; 
      $vystup .= $kolik_sloupcu ? '</tr></table>' : '';
else:
   $vystup = substr($vystup, 0, -4);                 
   $vystup .= $kolik_sloupcu ? '</table>' : '';      
endif;


return $stav ? CSS_FORMAT($vystup, $nazev, $nadpis, $verze, $typ) : FALSE;
}
